# Created by pyp2rpm-3.2.2
%global pypi_name pandas-profiling

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        1%{?dist}
Summary:        Generate profile report for pandas DataFrame

License:        MIT
URL:            http://github.com/jospolfliet/pandas-profiling
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
#pandas-profiling 
Generates profile reports from a pandas DataFrame. The
*df.describe()* function is great but a little basic for serious exploratory
data analysis. 

For each column the following statistics - if relevant for the
column type - are presented in an interactive HTML report:

* **Essentials**:
type, unique values, missing values
* **Quantile statistics** like minimum
value, Q1, ...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-pandas >= 0.19
Requires:       python-matplotlib >= 1.4
Requires:       python-jinja2 >= 2.8
Requires:       python-six >= 1.9
%description -n python2-%{pypi_name}
#pandas-profiling 
Generates profile reports from a pandas DataFrame. The
*df.describe()* function is great but a little basic for serious exploratory
data analysis. 

For each column the following statistics - if relevant for the
column type - are presented in an interactive HTML report:

* **Essentials**:
type, unique values, missing values
* **Quantile statistics** like minimum
value, Q1, ...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install


%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/pandas_profiling
%{python2_sitelib}/pandas_profiling-%{version}-py?.?.egg-info

%changelog
* Mon Sep 04 2017 Copr dist git <copr-devel@lists.fedorahosted.org> - 1.4.0-1
- Initial package.